<script type="text/javascript">

$(document).ready(function(){
    $("#checkall").click(function(){
        if(this.checked){
            $(".check_class").attr("checked",true);					
            $(".check_class").parent().addClass("checked");					
        }else{
            $(".check_class").attr("checked",false);					
            $(".check_class").parent().removeClass("checked");					
        }
    });
    $("#status_msg").hide();
    $("#alert_msg").hide();
});

function delete_entry(user_id){
  swal({
        title: 'Are you sure?',
        text: "You won't be able to revert this!",
        type: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#0CC27E',
        cancelButtonColor: '#FF586B',
        confirmButtonText: 'Yes, delete it!',
        cancelButtonText: 'No, cancel!',
        confirmButtonClass: 'btn btn-success mr-5',
        cancelButtonClass: 'btn btn-danger',
        buttonsStyling: false
    }).then(function () {
        location.href = 'userlist.php?act=delete&user_id='+user_id;
    }, function (dismiss) {
      return false; 
    });
}


function change_status(plan_id,status){
  //$(".loading_image").show();
  swal({
        title: 'Are you sure ?',
        text: "change status!",
        type: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#0CC27E',
        cancelButtonColor: '#FF586B',
        confirmButtonText: 'Yes, change status!',
        cancelButtonText: 'No, cancel!',
        confirmButtonClass: 'btn btn-success mr-5',
        cancelButtonClass: 'btn btn-danger',
        buttonsStyling: false
    }).then(function () {
        $.ajax({
          url: "planlist.php",
          data: 'act=change_status&plan_id='+plan_id+'&status='+status,
          /*dataType: 'json',
          cache: false,*/
          success: function(msg){
                      $("#status_msg").show();
                      $("#status_msg").html("<div class='alert alert-success'><button data-dismiss='alert' class='close' type='button'>×</button>Status updated successfully...</div>");
                      $("#status_msg_td").html(msg);
                      hideMessage();
                      
                      if(status==0){
                        
                          $("#td_status_"+plan_id).html("<a href=\"javascript:void(0)\" onclick=\"change_status('"+plan_id+"','1')\" ><span class=\"badge badge-success\">InactiveActive</span></a>");

                      }else{
                        
                          /*$("#td_status_"+plan_id).html("<a href=\"javascript:void(0)\" onclick=\"change_status('"+plan_id+"','0')\" ><span class=\"badge badge-danger\">Inactive</span></a>");*/
                          $("#td_status_"+plan_id).html("<a href=\"javascript:void(0)\" onclick=\"change_status('"+plan_id+"','0')\" ><span class=\"badge badge-danger\">Active</span></a>");
                      }
                      window.location.reload();
          }
        });
    }, function (dismiss) {    
        return false; 
    });    
}

function validate_all(act){
    var act = $("#act").val();
    if(act==''){
        $("#alert_msg").show();
        $("#alert_msg").html("<div class='alert alert-danger'><button data-dismiss='alert' class='close' type='button'>×</button>Please select action to apply on selected records.</div>");
        return false;
    }else if($(".check_class:checked").length == 0){
  	$("#alert_msg").show();
  	$("#alert_msg").html("<div class='alert alert-danger'><button data-dismiss='alert' class='close' type='button'>×</button>Please select atleast one checkbox.</div>");
        return false;
    }else{
        $("#alert_msg").hide();
    }
        
  if(act == 'delete_all'){
      var msg = 'delete';
  }else if(act == 'activate_all'){
      var msg = 'activate';
  }else{
      var msg = 'inactivate';
  }
  
    swal({
        title: 'Are you sure to '+act.replace("_"," ")+' ?',
        text: "You won't be able to revert this!",
        type: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#0CC27E',
        cancelButtonColor: '#FF586B',
        confirmButtonText: 'Yes, '+msg+' it!',
        cancelButtonText: 'No, cancel!',
        confirmButtonClass: 'btn btn-success mr-5',
        cancelButtonClass: 'btn btn-danger',
        buttonsStyling: false
    }).then(function () {
        $("#action").val(act);
        $("#listFrm").submit();
    }, function (dismiss) {
      return false; 
    });
}
	
</script>

<?php
$filename=basename($_SERVER['SCRIPT_FILENAME']);
$adminlogObj = new admin_log();

if($filename == 'taxlist.php')
{
    $module_id = $adminlogObj->getModuleId($filename);
}
?>

<div class="breadcrumb">
    <h1>Tax</h1>
    <ul>
        <li><a href="<?php echo SITE_URL.ADMIN_DIR ?>">Dashboard</a></li>
        <li>Tax list</li>
        <li><a href="<?php echo SITE_URL."x-admin/adminloglist.php?module_id=$module_id" ?>" target="_blank">Log</a></li>
    </ul>
</div>
<div class="separator-breadcrumb border-top"></div>


<div class="widget-body">
    <div class="portlet-body">
                        
    <?php echo (isset($successMsg) && $successMsg!='') ? "<div class='alert alert-success'><button data-dismiss='alert' class='close' type='button'>×</button>".base64_decode($successMsg)."</div>" : '' ; ?>
    <?php echo (isset($failedMsg) && $failedMsg!='') ? "<div class='alert alert-danger'><button data-dismiss='alert' class='close' type='button'>×</button>".base64_decode($failedMsg)."</div>" : '' ?>
   
    <div id="status_msg" style="display: none;"><div class="alert alert-success"><button data-dismiss='alert' class='close' type='button'>×</button>&nbsp;</div></div>
    <div id="alert_msg" style="display: none;"><div class="alert alert-danger"><button data-dismiss='alert' class='close' type='button'>×</button>&nbsp;</div></div>

    </div>
</div>

<form action="" id="searchFrm" name="searchFrm" method="post">
<div class="row">
    <div class="col-lg-12 col-md-12">
        <div class="card mb-5">
            <div class="card-body">
                <div class="row row-xs">
                    
                    <div class="col-md-2 mt-3 mt-md-0"  id="div_tax_id">
                        <label for="tax_id ">Tax Id</label>
                        <input type="text" class="form-control" name="tax_id" id="tax_id"  />
                    </div>

                    <div class="col-md-2 mt-3 mt-md-0"  id="div_tax_name">
                        <label for="tax_name ">Name</label>
                        <input type="text" class="form-control" name="tax_name" id="tax_name"  />
                    </div>

                    <div class="col-md-2 mt-3 mt-md-0"  id="div_tax_type">
                        <label for="tax_type">Type</label>
                        <!-- <input type="text" class="form-control" name="tax_type" id="tax_type"  /> -->

                        <select class="form-control" id="tax_type" name="tax_type">
                            <option>Select Type</option>
                            <?php
                                $subscriptions_taxrateObj = new subscriptions_taxrate();
                                $fields = array('taxrate_id','taxrate_type');
                                $where = array('taxrate_status='=>'active');
                                $groupBy = array('taxrate_type');
                                $taxtypeArg = array('fields'=>$fields,'where'=>$where,'groupBy'=>$groupBy);
                                $alltaxtype = $subscriptions_taxrateObj->getAllRecords($taxtypeArg);
                                foreach($alltaxtype as $tkey => $typevalue)
                                { ?>
                                    <option value="<?php echo $typevalue->taxrate_type; ?>"><?php echo $typevalue->taxrate_type; ?></option>
                               <?php } ?>
                        </select>
                    </div>

                    <div class="col-md-2 mt-3 mt-md-0"  id="div_tax_rate">
                        <label for="tax_rate ">Rate</label>
                        <!-- <input type="text" class="form-control" name="tax_rate" id="tax_rate"  /> -->
                        <select id="tax_rate" name="tax_rate" class="form-control">
                            <option value="">Select Rate</option>
                            <?php
                                $subscriptions_taxrateObj = new subscriptions_taxrate();
                                $fields = array('taxrate_id','taxrate_percentage');
                                $where = array('taxrate_status='=>'active');
                                $groupBy = array("taxrate_percentage");
                                $taxrateArg = array("fields"=>$fields,'where'=>$where,"groupBy"=>$groupBy);
                                $alltaxrate = $subscriptions_taxrateObj->getAllRecords($taxrateArg);
                                foreach($alltaxrate as $pkey => $rateval)
                                { ?>
                                    <option value="<?php echo $rateval->taxrate_percentage; ?>"><?php echo $rateval->taxrate_percentage; ?></option>
                               <?php } ?>
                        </select>
                    </div>

                    <div class="col-md-2 mt-3 mt-md-0"  id="div_tax_mode">
                        <label for="tax_mode ">Mode</label>
                        <!-- <input type="text" class="form-control" name="tax_mode" id="tax_mode"  /> -->
                        <select class="form-control" name="tax_mode" id="tax_mode">
                            <option value="">Select Mode</option>
                            <?php
                                $subscriptions_taxrateObj = new subscriptions_taxrate();
                                $fields = array('taxrate_id','taxrate_mode');
                                $where = array('taxrate_status='=>'active');
                                $groupBy = array('taxrate_mode');
                                $taxrateArg = array('fields'=>$fields,'where'=>$where,'groupBy'=>$groupBy);
                                $alltaxdata = $subscriptions_taxrateObj->getAllRecords($taxrateArg);
                                foreach($alltaxdata as $tkey => $taxmode_val)
                                { ?>
                                    <option value="<?php echo $taxmode_val->taxrate_mode; ?>"><?php echo $taxmode_val->taxrate_mode; ?></option>
                                <?php } ?>
                            ?>
                        </select>
                    </div>
                    
                    <div class="col-md-2  mt-3 mt-md-0">
                        <label for="tax_status">Status</label>
                        <select class="form-control" id="tax_status" name="tax_status">
                            <option value="">Select Status</option>
                            <option value="active">Active</option>
                            <option value="inactive">Inactive</option>
                        </select>
                    </div>
                  
                    <div class="col-md-2 mt-3 mt-md-0">
                        <br/>
                        <label for="">&nbsp;</label>
                        <button type="submit" name="submit" class="btn btn-primary btn-block">Search</button>
                    </div>
                    <div class="col-md-2 mt-3 mt-md-0">
                        <br/>
                        <label for="">&nbsp;</label>
                        <button type="reset" name="reset" class="btn btn-primary btn-block" onClick="window.location.reload()">Reset</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</form>

<div class="row mb-4">
  <div class="col-md-6">
        <!-- <select id="act" name="act" class="form-control maction">
          <option value="">Multiple action</option>              
          <option value="activate_all">Activate selected</option>
          <option value="inactivate_all">De-activate selected</option>
          <option value="delete_all">Delete selected</option>
        </select>
        <button type="button" class="btn btn-primary m-1" onclick="return validate_all();">Apply</button> -->
  </div>
  <div class="col-md-6 pull-right">
      <div class="button-group">
         <a href="taxadd.php" class="btn btn-dark m-1"><i class="i-Add-Tax"></i> Add Tax</a>
      </div>    
  </div>  
</div>

<div class="row mb-4">
    <div class="col-md-12 mb-4">
        <div class="card text-left">

            <div class="card-body">
                <div class="table-responsive">
                  <form id="listFrm" name="listFrm" action="" method="post">       
                    <input type="hidden" id="action" name="action" value="">
                    <table id="list" class="display table table-striped table-bordered" style="width:100%">
                        <thead>
                            <tr>
                                <th class="center"><input type="checkbox" name="checkall" id="checkall"></th>
                                <th>ID</th>
                                <th>Tax Id</th>
                                <th>Type</th>
                                <th>Name</th>
                                <th>Rate</th>
                                <th>Mode</th>
                                <th>Region</th>
                                <th>Status</th>
                            </tr>
                        </thead>
                    </table>
                  </form>
                </div>
            </div>
        </div>
    </div>
</div>

<script type="application/javascript">
   $(document).ready(function() {
     $('#list').DataTable( { 
          "ajax": "taxlist.php?act=load",
          "processing": true,
          "serverSide": true,
          "pageLength": 25,
                "aaSorting": [],
                "aoColumnDefs": [
                    { 'bSortable': false, 'aTargets': [0] }
                ],
          language: {
              "processing" : "<div class='loader-bubble loader-bubble-primary m-5'></div>",
              "sEmptyTable" :  "No records found."
          }
          
      } );

      $( "#searchFrm" ).on( "submit", function(e) {
        e.preventDefault();

        var tax_id = $("#tax_id").val();
        var tax_name = $("#tax_name").val();
        var tax_rate = $("#tax_rate").val();
        var tax_mode = $("#tax_mode").val();
        var tax_status = $("#tax_status").val();
        
        $('#list').DataTable().destroy();
          $('#list').DataTable( { 
            "ajax": "taxlist.php?act=load&tax_name="+tax_name+"&tax_rate="+tax_rate+"&tax_status="+tax_status+"&tax_mode="+tax_mode+"&tax_id="+tax_id,
            "processing": true,
            "serverSide": true,
            "pageLength": 25,
                  "aaSorting": [],
                  "aoColumnDefs": [
                      { 'bSortable': false, 'aTargets': [0] }
                  ],
            language: {
                "processing" : "<div class='loader-bubble loader-bubble-primary m-5'></div>",
                "sEmptyTable" :  "No records found."
            }
            
        } );

      });

    });
</script>